## org.apache.batik.bridge
Interface ExternalResourceSecurity

All Known Implementing Classes:
  DefaultExternalResourceSecurity, EmbededExternalResourceSecurity, NoLoadExternalResourceSecurity, RelaxedExternalResourceSecurity

public interface ExternalResourceSecurity

An interface that allows UserAgents to describe the security constraints desired for external resources.

Method Summary
`void` `checkLoadExternalResource()` Controls whether the external resource should be loaded or not.

Method Detail

### checkLoadExternalResource

    public void checkLoadExternalResource()

  Controls whether the external resource should be loaded or not.

  Throws:
    `java.lang.SecurityException` - if the resource should not be loaded.

Copyright © 2004 Apache Software Foundation. All Rights Reserved.